Tudo sobre aMSN no Slackware

Publicado por Jose Ribeiro em 21/03/2008

[ Hits: 14.222 ]

Blog: https://otrsinbox.cloud

 


Tudo sobre aMSN no Slackware



Aqui no site tem muitas perguntas sobre a instalação do aMSN, neste artigo vou mostrar como resolver todos os possíveis problemas que você poderá encontrar.

O principal problema que encontram é com a tcl/tk pois geralmente quando atualizam a tcl/tk de 8.4 para 8.5 sem remover a versão antiga as duas versão ficam instalada - wish8.4 e wish8.5.

Aqui esta o site da tcl/tk.
Depois de baixar os dois (tcl e tk) e instalar.

$ tar -zxvf tcl8.5.1-src.tar.gz
$ cd tcl8.5.0/unix
$ ./configure
$ make
# make install
(como root)

$ tar -zxvf tk8.5.1-src.tar.gz
$ cd tk8.5.1/unix/
$ ./configure
$ make
# make install
(novamente como root)

Depois disto vamos para a instalação do aMSN propriamente dito. Para evitar toda a compilação dele, você pode baixar aqui.

Este link direciona para a versão do Slackware 12 mas tem para outros também.

Instale com o comando:

# installpkg amsn-0.97*.tgz

Outras formas de instalar: o .package
e o source:
$ tar -jxvf amsn-0.97.tar.bz2
$ cd amsn-0.97
$ ./configure
$ make
# make install


Depois digite no terminal mesmo:

$ amsn

Deve aparecer essa tela:



Aqui eu resolvi esse erro da seguinte maneira.

# mcedit /usr/bin/amsn

Mudei a linha - a primeira:

exec wish $0 $@

para:

exec wish8.5 $0 $@

Isto acontece porque o existem duas versões da tcl/tk.

Espero que seja útil esta dica.

Abraço a todos.

Outras dicas deste autor

Adicionado servidores no CruxPorts4Slackware

Emesene, uma boa opção

Colabore com documentação para o Gambas

Hello world em 397 linguagens

Supertux 0.3.0 no Slackware 11

Leitura recomendada

Criando um pacote .deb

GPhoto2 - Integre sua câmera digital no Linux

Erro: PacketTracer não abre no Linux Mint 18.1 [Resolvido]

Instalando Spotify no Ubuntu 17.10

Linux perfeito para o notebook Intelbras modelo i21

  

Comentários
[1] Comentário enviado por evilrick em 27/03/2008 - 10:30h

Essa eu tento assim que chegar em casa.
Eu tinha instalado o Amsn no Slack e não consegui fazer funcionar por conta desse erro. Como o "update-alternative" sempre funcionou no Kurumin, no Ubuntu e no Debian, tentei fazer o mesmo, porém o Slack não tinha encontrado o comando.

Ps: Isso funciona em qualquer distro, amigo? Porque se funcionar eu tento botar o Pidgin funcionar no Debian. heeheh




[2] Comentário enviado por joserribeirojuni em 27/03/2008 - 11:05h

Acredito que funfa sim.
Mas me fala o erro do pidgin ?
Abraço.
Se quizer adiciona eu ai



xD
Abraço.

[3] Comentário enviado por evilrick em 27/03/2008 - 12:32h

Qdo tento compilar ele acusa falta de tcl/tk 8.4 (mesmo tendo o 8.5 instalado).
Se eu instalo via dpkg (ou apt-get) ele não abre pelo mesmo motivo o engraçado é que eu atualizei o tcl/tk padrão como o 8.5 (através do update-alternatives)

[4] Comentário enviado por joserribeirojuni em 27/03/2008 - 15:29h

nunca ouvi falar do update-alternatives, mas como você compila ?
./configure make make install ou pelo dpkg ?
Abraço.

Por que se abrir o REAME ou o INSTALL não lembro qual.
ele tem uma opção tipo pra desabilitar a verificação de versão.

DA uma olhada la.

[5] Comentário enviado por rafaelstanley em 24/04/2008 - 04:17h

Tentei varios tutoriais e nada, esse seu eh perfeito, parabens e obrigado.

[6] Comentário enviado por Warheart em 26/04/2008 - 22:57h

olha só

eu instalei diretamente o pacote amsn-0.97-1.tcl85.x86.package.

O amsn instalou perfeitamente, mas ele nao rodou
entao editei como vc disse o /usr/bin/amsn

apareceu o seguinte erro:
/usr/bin/amsn: line 3: exec: wish8.5: not found

o que eu faço?

[7] Comentário enviado por joserribeirojuni em 26/04/2008 - 23:18h


digite no terminal wish ( e pressione tab tab ) pode ser que que esteja wish mesmo.
tenta mudar de wish8.5 pra wish mesmo ve oque acontece !
Abraço.

[8] Comentário enviado por QuestLoder em 17/06/2008 - 16:18h

Consegui instalar o Amsn aqui, valeu pela dica...

[9] Comentário enviado por joserribeirojuni em 17/06/2008 - 16:28h

Que bom Cara !

[10] Comentário enviado por andrelcampos em 28/07/2008 - 20:19h

Massa, valeu José muito massa esse tutorial estava a um tempao tendo problemas mais agora conseguir

[11] Comentário enviado por joserribeirojuni em 28/07/2008 - 20:24h

Valeu !

[12] Comentário enviado por flavioc em 11/01/2009 - 11:47h

não consigo falar no viva a voz com amsn...video conferencia

[13] Comentário enviado por sonecao em 21/03/2009 - 17:15h

Fiz tudo isso e ainda continua dando o mesmo erro "Loading Tkcimage failed" editei a parte la que pede pra adicionar exec wish8.5 $0 $@
Como posso ver a versão de meu tk e tcl? o que teve ta acontecendo?

[14] Comentário enviado por QuestLoder em 22/03/2009 - 19:46h

Boa noite,

sonecao, pegue o Amsn neste link:
http://www.4shared.com/file/89296226/aae5536c/amsn_devtar.html

Tive o mesmo problema, e instalei este pacote para resolver.
Instala e posta o resultado aqui.

Abraço



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts